Package org.bukkit.event

# Enum Class EventPriority

java.lang.Object
java.lang.Enum<EventPriority>
org.bukkit.event.EventPriority

All Implemented Interfaces:
  `Serializable`, `Comparable<EventPriority>`, `Constable`

public enum EventPriority extends Enum<EventPriority>
Represents an event's priority in execution

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGH`
Event call is of high importance
`HIGHEST`
Event call is critical and must have the final say in what happens to the event
`LOW`
Event call is of low importance
`LOWEST`
Event call is of very low importance and should be ran first, to allow other plugins to further customise the outcome
`MONITOR`
Event is listened to purely for monitoring the outcome of an event.
`NORMAL`
Event call is neither important nor unimportant, and may be ran normally

## Method Summary

Modifier and Type
Method
Description
`int`
`getSlot()`
`static EventPriority`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EventPriority[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOWEST

public static final EventPriority LOWEST
Event call is of very low importance and should be ran first, to allow other plugins to further customise the outcome

### LOW

public static final EventPriority LOW
Event call is of low importance

### NORMAL

public static final EventPriority NORMAL
Event call is neither important nor unimportant, and may be ran normally

### HIGH

public static final EventPriority HIGH
Event call is of high importance

### HIGHEST

public static final EventPriority HIGHEST
Event call is critical and must have the final say in what happens to the event

### MONITOR

public static final EventPriority MONITOR
Event is listened to purely for monitoring the outcome of an event.

No modifications to the event should be made under this priority

## Method Details

### values

public static EventPriority[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EventPriority valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSlot

public int getSlot()